---
- name: "reload systemd"
  systemd:
    daemon_reload: yes

- name: "restart matrix-synapse using systemd"
  service:
    name: matrix-synapse.service
    state: restarted
    enabled: yes
  when: matrix_synapse_supervision_method == "systemd"
  listen: "restart matrix-synapse"

- name: "restart synapse using docker"
  docker_container:
    name: "{{ matrix_synapse_container_name }}"
    state: started
    restart: yes
  when: matrix_synapse_supervision_method == "docker"
  listen: "restart matrix-synapse"
  loop: >-2
    {{ [matrix_synapse_container_name]
    + matrix_synapse_workers | default([]) | map(attribute='container_name') }}

- name: restart rsyslog
  become: yes
  service:
    name: rsyslog
    state: restarted
  when: matrix_synapse_supervision_method == "systemd"
